---
import ImageFallback from "@components/ImageFallback.astro";

import yumiUserImg from "@assets/img/yumi3d.jpg";

const { externalLinks, contributors, credits } = Astro.props;
---

<!-- Contributors & Discussions -->
<div
  id="portContributors"
  class="scrollspy contributors-discussions d-print-none"
>
  <!-- Discussions -->
  {
    !!externalLinks && (
      <div class="discussions">
        <h2 class="mt-5 mb-3 h3">Port Resources</h2>
        <ul>
          {/* Link */}
          {externalLinks.map((link) => (
            <li>
              <a href={link.link} target="_blank">
                <img
                  src={link.icon.src}
                  alt="link-icon"
                  class="dark-invert-40 ext-link-icon"
                />
                {link.name}
              </a>
            </li>
          ))}
        </ul>
        <p class="mt-4 d-print-none">
          <a sidebarjs-toggle="discussionSidebar" role="button">
            → Need help? Ask the community
          </a>
        </p>
      </div>
    )
  }

  <!-- Contributors -->
  {
    !!contributors && (
      <div class="contributors">
        <h2 class="mt-5 mb-3 h3">Contributors</h2>
        <ul>
          {/* Person */}
          {contributors.map((person) => (
            <li>
              <a href={person.forum} target="_blank">
                {person.photo ? (
                  <ImageFallback
                    src={person.photo}
                    fallback={yumiUserImg}
                    width={50}
                    height={50}
                    alt="person-img"
                    loading="lazy"
                  />
                ) : (
                  <img src={yumiUserImg.src} alt="person-img" />
                )}
                <div>
                  <p class="bold">{person.name}</p>
                  <p>{person.role || "Contributor"}</p>
                </div>
              </a>
            </li>
          ))}
        </ul>
        <div class="markdown-content mt-2" set:html={credits} />
      </div>
    )
  }
</div>
